%Algorithm for calculating the social utility of each state under ceratin
%action (a3)

function [ U ]  =  Utility( S4, a4, t4 )
%Social Utility for a given state St
%   state = St
%   action = a
%   time = t2
global sai1 sai2 sai3 theta1 theta2 L alpha pai

%   Damage cost function
Damage = 1/(1 + sai1 * S4(2) + sai2 * S4(2) ^ sai3);

%   Abatement cost function
Abate = pai(t4) ^ (1 - theta2) * theta1(t4) * a4 ^ theta2;

%   Net output after damage and abatement
Q = (Damage - Abate) * S4(7);

%   Consumption
C = (1 - 0.22) * Q;

%   Consumption per capita
c = C / L(t4) * 1000;

%   Utility per capita
u = 1 + c ^ (1 - alpha) / (1 - alpha);

%   Social utility
U = u * L(t4) * 10;
end

