function [ dt ] = lognorm_trunc( p )
global dt_l dt_u dt_m dt_sig
%Truncated Cauchy Distribution
%   Calculates the Cauchy distribution for values between dt_l and dt_u

cdf2 = cdf('lognorm', dt_u , dt_m, dt_sig);
cdf1 = cdf('lognorm', dt_l , dt_m, dt_sig);
pc = p * (cdf2 - cdf1) + cdf1;
dt = icdf('lognorm', pc,  dt_m, dt_sig);

end

